<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Admin_Itemmanage_Search
{
    var $view;
    var $tname;
    var $genreview;
    var $title;
    var $pagename;
    
    var $jancode;
    var $hinban;
    var $itemtitle;
    var $release_date_start;
    var $release_date_end;
    var $publish_date_start;
    var $publish_date_end;
    var $maker_capital;
    var $maker_name;
    var $media;
    var $cast;
    var $situation;
    var $photo_situation;
    var $publish_situation;
    var $genre_select;

    var $media_list;
    var $genre_search;


    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Searchが実行されました", "Admin_Itemmanage_Search#execute");
       
        return 'success';
    }

    function getMediaList() {
        $this->media_list = $this->tname->selectDivAll(4);
        return $this->media_list;
    }

    function getGenreSearch() {
        $g = $this->genreview->selectGenreRelationship();
        $c = "";
        $tree = array();
        $this->genreview->makeTree($g, $c, $tree, false);

        return $tree;
    }
    
}
?>
